aboutsummaryrefslogtreecommitdiff
path: root/desktop/caja
diff options
context:
space:
mode:
authorJohannes Schoepfer <slackbuilds@schoepfer.info>2023-05-13 09:55:53 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-13 19:27:16 +0700
commit08668f851ce9767af915847e65e2253b85e139dc (patch)
treecb761fc3cf52a8c2c5ce47493fddb30df870f612 /desktop/caja
parent50d537b9a766745766952d8cd7c2340957520a12 (diff)
desktop/caja: Added (file manager for the MATE desktop)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/caja')
-rw-r--r--desktop/caja/README11
-rw-r--r--desktop/caja/caja.SlackBuild124
-rw-r--r--desktop/caja/caja.info10
-rw-r--r--desktop/caja/doinst.sh19
-rw-r--r--desktop/caja/slack-desc19
5 files changed, 183 insertions, 0 deletions
diff --git a/desktop/caja/README b/desktop/caja/README
new file mode 100644
index 0000000000000..dbcc656682a2e
--- /dev/null
+++ b/desktop/caja/README
@@ -0,0 +1,11 @@
+caja (file manager for the MATE desktop)
+
+Caja is the default file manager for the MATE Desktop Environment.
+It makes it easy to manage, manipulate, and customize files and
+directories. Caja can access local and remote filesystems such as
+SSH, FTP, and WebDav (HTTP/HTTPS).
+
+Caja also provides the desktop background and the icons it uses for
+launching links and applications, as well as accessing files,
+directories, the trash, and removable media like
+CD/DVD/BD and USB drives.
diff --git a/desktop/caja/caja.SlackBuild b/desktop/caja/caja.SlackBuild
new file mode 100644
index 0000000000000..d20172e804ad2
--- /dev/null
+++ b/desktop/caja/caja.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Slackware build script for caja
+
+# Copyright 2013 Chess Griffin, Raleigh, NC
+# Copyright 2013-2022 Willy Sudiarto Raharjo
+# Copyright 2023 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=caja
+VERSION=${VERSION:-1.26.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --libexecdir=/usr/lib${LIBDIRSUFFIX}/caja \
+ --disable-update-mimedb \
+ --enable-introspection \
+ --disable-packagekit \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.EXTENSIONS COPYING.LIB ChangeLog \
+ HACKING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/caja/caja.info b/desktop/caja/caja.info
new file mode 100644
index 0000000000000..ad7d3604ac7ef
--- /dev/null
+++ b/desktop/caja/caja.info
@@ -0,0 +1,10 @@
+PRGNAM="caja"
+VERSION="1.26.1"
+HOMEPAGE="https://wiki.mate-desktop.org/mate-desktop/applications/caja/"
+DOWNLOAD="https://pub.mate-desktop.org/releases/1.26/caja-1.26.1.tar.xz"
+MD5SUM="c86b685419af22347097ce6817c78940"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mate-desktop"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/desktop/caja/doinst.sh b/desktop/caja/doinst.sh
new file mode 100644
index 0000000000000..f25bed6fb6698
--- /dev/null
+++ b/desktop/caja/doinst.sh
@@ -0,0 +1,19 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/caja/slack-desc b/desktop/caja/slack-desc
new file mode 100644
index 0000000000000..b179a6df6f537
--- /dev/null
+++ b/desktop/caja/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+caja: caja (file manager for the MATE desktop)
+caja:
+caja: caja provides an easy-to-use and extensible graphical
+caja: file manager for the MATE desktop. Caja is a fork of Nautilus.
+caja:
+caja:
+caja:
+caja:
+caja:
+caja: https://wiki.mate-desktop.org/mate-desktop/applications/caja/
+caja: